c**********************************************************************
c* This is a Fortran 77 retrieval code to read and format the underway*            c* air xCO2 and surface hydrographic measurements from the WOCE       *
c* Indian Ocean survey cruises (*air.dat files)                       *
c**********************************************************************

c*Defines variables*

       INTEGER  flag
       REAL jday, atmpre, airxco2, lat, lon, temp, sal
       CHARACTER sect*11, date*8, time*8
       OPEN (unit=1, file='input.dat')
       OPEN (unit=2, file='output.dat')
       write (2, 5)

c*Writes out column labels*

 5     format (2X,'SECTION',7X,'DATE',6X,'TIME',4X,'JULIAN',2X,
     1 'ATM_PRES',5X,'XCO2',5X,'XCO2',2X,'LATIT',3X,'LONGIT',3X,
     2 'SUR_TMP',2X,'SUR_SAL',/,5X,'#',11X,'GMT',7X,'GMT',5X,'DATE',
     3 6X,'ATM',3X,'DRY_AIR_PPM',1X,'QC_FL',3X,'DCM',6X,'DCM',5X,
     4 'DEG_C',5X,'PSS',/)

c*Sets up a loop to read and format all the data in the file*

       read (1, 6)
 6     format (//////)

 7     CONTINUE    
       read (1, 10, end=999) sect, date, time, jday, atmpre, airxco2,
     1 flag, lat, lon, temp, sal

 10    format (1X, A11, 2X, A8, 2X, A8, 2X, F7.3, 2X, F7.5, 3X, F7.3,  
     1 5X, I1, 2X, F8.4, 1X, F8.4, 2X, F7.4, 2X, F7.4)
 
       write (2, 20) sect, date, time, jday, atmpre, airxco2,
     1 flag, lat, lon, temp, sal

 20    format (1X, A11, 2X, A8, 2X, A8, 2X, F7.3, 2X, F7.5, 3X, F7.3, 
     1 5X, I1, 2X, F8.4, 1X, F8.4, 2X, F7.4, 2X, F7.4)

       GOTO 7
 999   close(unit=5)    
       close(unit=2)
       stop
       end
